diff --git a/changelog b/changelog
index 44f04bc..c71345c 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20071004 tpd src/input/Makefile kamke2.input regression test added
+20071004 tpd src/input/kamke2.input ODE regression test added
 20071004 tpd src/input/Makefile kamke1.input regression test added
 20071004 tpd src/input/kamke1.input ODE regression test added
 20071004 tpd src/input/Makefile kamke0.input regression test added
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 159377a..1bfbcc1 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -322,7 +322,7 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     intmix2.regress   intmix.regress   int.regress      intrf.regress \
     iprntpk.regress \
     ipftest.regress   is.regress       isprime.regress  kafile.regress \
-    kamke0.regress    kamke1.regress \
+    kamke0.regress    kamke1.regress   kamke2.regress \
     kernel.regress    knot2.regress    kovacic.regress  kuipers.regress \
     laplace.regress   leg.regress      limit.regress    lindep.regress \
     list.regress      lode.regress     lodesys.regress  lodo1.regress \
@@ -562,6 +562,7 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/intlf.input    ${OUT}/intmix.input     ${OUT}/intrf.input \
        ${OUT}/ipftest.input  ${OUT}/is.input         ${OUT}/isprime.input \
        ${OUT}/kafile.input   ${OUT}/kamke0.input     ${OUT}/kamke1.input \
+       ${OUT}/kamke2.input \
        ${OUT}/kernel.input   ${OUT}/knot.input \
        ${OUT}/kovacic.input  ${OUT}/kuipers.input  \
        ${OUT}/laplace.input  ${OUT}/leg.input        ${OUT}/lexp.input \
@@ -828,6 +829,7 @@ DOCFILES= \
   ${DOC}/ipftest.input.dvi     ${DOC}/is.input.dvi         \
   ${DOC}/isprime.input.dvi     ${DOC}/kafile.input.dvi     \
   ${DOC}/kamke0.input.dvi      ${DOC}/kamke1.input.dvi     \
+  ${DOC}/kamke2.input.dvi     \
   ${DOC}/kernel.input.dvi      ${DOC}/knot2.input.dvi      \
   ${DOC}/knot.input.dvi        ${DOC}/knownbugs.input.dvi  \
   ${DOC}/kovacic.input.dvi     ${DOC}/kuipers.input.dvi    \
diff --git a/src/input/kamke2.input.pamphlet b/src/input/kamke2.input.pamphlet
new file mode 100644
index 0000000..2c8be63
--- /dev/null
+++ b/src/input/kamke2.input.pamphlet
@@ -0,0 +1,1731 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/src/input kamke2.input}
+\author{Timothy Daly}
+\maketitle
+\begin{abstract}
+This is the 50 ODEs of the Kamke test suite as published by 
+E. S. Cheb-Terrab\cite{1}. They have been rewritten using Axiom
+syntax. Where possible we show that the particular solution actually
+satisfies the original ordinary differential equation.
+\end{abstract}
+\eject
+\tableofcontents
+\eject
+<<*>>=
+)spool kamke2.output
+)set break resume
+)set mes auto off
+)clear all
+
+--S 1 of 131
+y:=operator 'y
+--R
+--R   (1)  y
+--R                                                          Type: BasicOperator
+--E 1
+
+--S 2 of 131
+f:=operator 'f
+--R
+--R   (2)  f
+--R                                                          Type: BasicOperator
+--E 2
+
+--S 3 of 131
+g:=operator 'g
+--R
+--R   (3)  g
+--R                                                          Type: BasicOperator
+--E 3
+
+--S 4 of 131
+ode101 := x*D(y(x),x) + x*y(x)**2 - y(x)
+--R
+--R          ,            2
+--R   (4)  xy (x) + x y(x)  - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 4
+
+--S 5 of 131
+yx:=solve(ode101,y,x)
+--R
+--R         2
+--R        x y(x) - 2x
+--R   (5)  -----------
+--R           2y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 5
+
+--S 6 of 131
+ode101expr := x*D(yx,x) + x*yx**2 - yx
+--R
+--R          2 ,        5     2     2     4         3
+--R        4x y (x) + (x  + 2x )y(x)  - 4x y(x) + 4x
+--R
+--R   (6)  ------------------------------------------
+--R                               2
+--R                          4y(x)
+--R                                                     Type: Expression Integer
+--E 6
+
+--S 7 of 131
+ode102 := x*D(y(x),x) + x*y(x)**2 - y(x) - a*x**3
+--R
+--R          ,            2             3
+--R   (7)  xy (x) + x y(x)  - y(x) - a x
+--R
+--R                                                     Type: Expression Integer
+--E 7
+
+--S 8 of 131
+yx:=solve(ode102,y,x)
+--R
+--R                            +-+
+--R               (2y(x) + 3x)\|a  + 3y(x) + 2a x
+--R   (8)  ---------------------------------------------
+--R                                                2 +-+
+--R                        +-+                    x \|a
+--R        ((6y(x) - 4a x)\|a  + 4a y(x) - 6a x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 8
+
+--S 9 of 131
+ode102expr := x*D(yx,x) + x*yx**2 - yx - a*x**3
+--R
+--R   (9)
+--R                   2         2           3       2  3  +-+
+--R           ((- 144a  - 108a)x y(x) + (32a  + 216a )x )\|a
+--R         + 
+--R                 3       2  2            3       2  3
+--R           (- 32a  - 216a )x y(x) + (144a  + 108a )x
+--R      *
+--R            2 +-+
+--R           x \|a  ,
+--R         %e      y (x)
+--R
+--R     + 
+--R                      3       2  3    3       4       3  4    2
+--R               (- 144a  - 108a )x y(x)  + (96a  + 648a )x y(x)
+--R             + 
+--R                      4       3  5           5       4  6
+--R               (- 432a  - 324a )x y(x) + (32a  + 216a )x
+--R          *
+--R              +-+
+--R             \|a
+--R         + 
+--R                 4       3  3    3        4       3  4    2
+--R           (- 32a  - 216a )x y(x)  + (432a  + 324a )x y(x)
+--R         + 
+--R                 5       4  5            5       4  6
+--R           (- 96a  - 648a )x y(x) + (144a  + 108a )x
+--R      *
+--R             2 +-+ 2
+--R            x \|a
+--R         (%e      )
+--R     + 
+--R                       2         2      2            3
+--R               ((- 144a  - 108a)x  - 16a  - 108a)y(x)
+--R             + 
+--R                    3       2  3        2              2
+--R               ((32a  + 216a )x  + (216a  + 162a)x)y(x)
+--R             + 
+--R                     3       2  4         3       2  2              4       3  5
+--R               ((144a  + 108a )x  + (- 16a  - 108a )x )y(x) + (- 32a  - 216a )x
+--R             + 
+--R                     3      2  3
+--R               (- 72a  - 54a )x
+--R          *
+--R              +-+
+--R             \|a
+--R         + 
+--R                  3       2  2      2           3
+--R           ((- 32a  - 216a )x  - 72a  - 54a)y(x)
+--R         + 
+--R                 3       2  3       3       2       2
+--R           ((144a  + 108a )x  + (48a  + 324a )x)y(x)
+--R         + 
+--R                4       3  4         3      2  2               4       3  5
+--R           ((32a  + 216a )x  + (- 72a  - 54a )x )y(x) + (- 144a  - 108a )x
+--R         + 
+--R                 4       3  3
+--R           (- 16a  - 108a )x
+--R      *
+--R            2 +-+
+--R           x \|a
+--R         %e
+--R     + 
+--R                           3      2        2    2         2        3
+--R           (36a + 27)x y(x)  + (8a  + 54a)x y(x)  + (- 36a  - 27a)x y(x)
+--R         + 
+--R                3      2  4
+--R           (- 8a  - 54a )x
+--R      *
+--R          +-+
+--R         \|a
+--R     + 
+--R          2             3       2        2    2        3      2  3
+--R       (8a  + 54a)x y(x)  + (36a  + 27a)x y(x)  + (- 8a  - 54a )x y(x)
+--R     + 
+--R             3      2  4
+--R       (- 36a  - 27a )x
+--R  /
+--R                  2            3         3       2       2
+--R             (144a  + 108a)y(x)  + (- 96a  - 648a )x y(x)
+--R           + 
+--R                  3       2  2             4       3  3
+--R             (432a  + 324a )x y(x) + (- 32a  - 216a )x
+--R        *
+--R            +-+
+--R           \|a
+--R       + 
+--R             3       2     3          3       2       2       4       3  2
+--R         (32a  + 216a )y(x)  + (- 432a  - 324a )x y(x)  + (96a  + 648a )x y(x)
+--R       + 
+--R                4       3  3
+--R         (- 144a  - 108a )x
+--R    *
+--R           2 +-+ 2
+--R          x \|a
+--R       (%e      )
+--R                                                     Type: Expression Integer
+--E 9
+
+--S 10 of 131
+ode103 := x*D(y(x),x) + x*y(x)**2 - (2*x**2+1)*y(x) - x**3
+--R
+--R           ,            2        2             3
+--R   (10)  xy (x) + x y(x)  + (- 2x  - 1)y(x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 10
+
+--S 11 of 131
+yx:=solve(ode103,y,x)
+--R
+--R                   +-+              +-+
+--R                (2\|2  + 3)y(x) + x\|2  + x
+--R   (11)  -----------------------------------------
+--R                                             2 +-+
+--R             +-+                +-+         x \|2
+--R         ((6\|2  + 8)y(x) - 14x\|2  - 20x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 11
+
+--S 12 of 131
+ode103expr := x*D(yx,x) + x*yx**2 - (2*x**2+1)*yx - x**3
+--R
+--R   (12)
+--R                                                            2 +-+
+--R               2 +-+        2             3 +-+        3   x \|2  ,
+--R       ((- 792x \|2  - 1120x )y(x) + 1912x \|2  + 2704x )%e      y (x)
+--R
+--R     + 
+--R                  3 +-+        3     3         4 +-+        4     2
+--R           (- 792x \|2  - 1120x )y(x)  + (5736x \|2  + 8112x )y(x)
+--R         + 
+--R                    5 +-+         5              6 +-+         6
+--R           (- 13848x \|2  - 19584x )y(x) + 11144x \|2  + 15760x
+--R      *
+--R             2 +-+ 2
+--R            x \|2
+--R         (%e      )
+--R     + 
+--R                    2        +-+        2           3
+--R           ((- 1352x  - 280)\|2  - 1912x  - 396)y(x)
+--R         + 
+--R                  3          +-+        3             2
+--R           ((5968x  + 2028x)\|2  + 8440x  + 2868x)y(x)
+--R         + 
+--R                    4        2  +-+        4        2
+--R           ((- 5176x  - 2984x )\|2  - 7320x  - 4220x )y(x)
+--R         + 
+--R                   5       3  +-+        5       3
+--R           (- 3264x  - 676x )\|2  - 4616x  - 956x
+--R      *
+--R            2 +-+
+--R           x \|2
+--R         %e
+--R     + 
+--R            +-+            3          2 +-+       2     2
+--R       (99x\|2  + 140x)y(x)  + (- 157x \|2  - 222x )y(x)
+--R     + 
+--R              3 +-+       3           4 +-+      4
+--R       (- 181x \|2  - 256x )y(x) - 41x \|2  - 58x
+--R  /
+--R              +-+            3            +-+             2
+--R         (792\|2  + 1120)y(x)  + (- 5736x\|2  - 8112x)y(x)
+--R       + 
+--R                2 +-+         2              3 +-+         3
+--R         (13848x \|2  + 19584x )y(x) - 11144x \|2  - 15760x
+--R    *
+--R           2 +-+ 2
+--R          x \|2
+--R       (%e      )
+--R                                                     Type: Expression Integer
+--E 12
+
+--S 13 of 131
+ode104 := x*D(y(x),x) + a*x*y(x)**2 + 2*y(x) + b*x
+--R
+--R           ,              2
+--R   (13)  xy (x) + a x y(x)  + 2y(x) + b x
+--R
+--R                                                     Type: Expression Integer
+--E 13
+
+--S 14 of 131
+yx:=solve(ode104,y,x)
+--R
+--R                       +-----+    2
+--R                   a x\|- a b  + a x y(x) + a
+--R   (14)  ----------------------------------------------
+--R                                                +-----+
+--R                          +-----+            2x\|- a b
+--R         ((2a x y(x) + 2)\|- a b  + 2a b x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 14
+
+--S 15 of 131
+ode104expr := x*D(yx,x) + a*x*yx**2 + 2*yx + b*x
+--R
+--R   (15)
+--R                                                         +-----+
+--R             3   4         2   3  +-----+     3 2 4   2x\|- a b  ,
+--R       ((- 4a b x y(x) - 4a b x )\|- a b  - 4a b x )%e          y (x)
+--R
+--R     + 
+--R                 3 2 4    3      2 2 3    2         2 3 4        2 2
+--R               4a b x y(x)  + 12a b x y(x)  + (- 12a b x  + 12a b x )y(x)
+--R             + 
+--R                      3 3     2
+--R               - 12a b x  + 4b x
+--R          *
+--R              +-----+
+--R             \|- a b
+--R         + 
+--R              3 3 4    2      2 3 3         2 4 4        3 2
+--R           12a b x y(x)  + 24a b x y(x) - 4a b x  + 12a b x
+--R      *
+--R               +-----+ 2
+--R            2x\|- a b
+--R         (%e          )
+--R     + 
+--R                   4   4    3      3   3    2        3 2 4      2   2
+--R               - 4a b x y(x)  - 16a b x y(x)  + (- 4a b x  - 16a b x )y(x)
+--R             + 
+--R                   2 2 3
+--R               - 8a b x  - 4a b x
+--R          *
+--R              +-----+
+--R             \|- a b
+--R         + 
+--R             4   3    3        4 2 4      3   2     2
+--R           4a b x y(x)  + (- 4a b x  + 12a b x )y(x)
+--R         + 
+--R                3 2 3      2             3 3 4     2 2 2
+--R           (- 4a b x  + 12a b x)y(x) - 4a b x  + 4a b x  + 4a b
+--R      *
+--R              +-----+
+--R           2x\|- a b
+--R         %e
+--R     + 
+--R             5 4    3     4 3    2       4   4     3 2         3   3    2
+--R         (- a x y(x)  - 3a x y(x)  + (- a b x  - 3a x )y(x) - a b x  - a x)
+--R      *
+--R          +-----+
+--R         \|- a b
+--R     + 
+--R        5   4    2     4   3        4 2 4    3   2
+--R       a b x y(x)  + 2a b x y(x) + a b x  + a b x
+--R  /
+--R               3   3    3      2   2    2         2 2 3
+--R             4a b x y(x)  + 12a b x y(x)  + (- 12a b x  + 12a b x)y(x)
+--R           + 
+--R                    2 2
+--R             - 12a b x  + 4b
+--R        *
+--R            +-----+
+--R           \|- a b
+--R       + 
+--R            3 2 3    2      2 2 2         2 3 3        2
+--R         12a b x y(x)  + 24a b x y(x) - 4a b x  + 12a b x
+--R    *
+--R             +-----+ 2
+--R          2x\|- a b
+--R       (%e          )
+--R                                                     Type: Expression Integer
+--E 15
+
+--S 16 of 131
+ode105 := x*D(y(x),x) + a*x*y(x)**2 + b*y(x) + c*x + d
+--R
+--R           ,              2
+--R   (16)  xy (x) + a x y(x)  + b y(x) + c x + d
+--R
+--R                                                     Type: Expression Integer
+--E 16
+
+--S 17 of 131
+yx:=solve(ode105,y,x)
+--R   WARNING (genufact): No known algorithm to factor
+--R      3     2       2               2
+--R     ?  - 3?  + (- b  + 2b + 2)? + b  - 2b, trying square-free.
+--R
+--R   (17)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 17
+
+--S 18 of 131
+ode106 := x*D(y(x),x) + x**a*y(x)**2 + (a-b)*y(x)/2 + x**b
+--R
+--R            ,        b        2 a
+--R         2xy (x) + 2x  + 2y(x) x  + (- b + a)y(x)
+--R
+--R   (18)  ----------------------------------------
+--R                             2
+--R                                                     Type: Expression Integer
+--E 18
+
+--S 19 of 131
+yx:=solve(ode106,y,x)
+--R
+--R   (19)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 19
+
+--S 20 of 131
+ode107 := x*D(y(x),x) + a*x**alpha*y(x)**2 + b*y(x) - c*x**beta
+--R
+--R           ,         beta         2 alpha
+--R   (20)  xy (x) - c x     + a y(x) x      + b y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 20
+
+--S 21 of 131
+yx:=solve(ode107,y,x)
+--R
+--R   (21)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 21
+
+--S 22 of 131
+ode108 := x*D(y(x),x) - y(x)**2*log(x) + y(x)
+--R
+--R           ,          2
+--R   (22)  xy (x) - y(x) log(x) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 22
+
+--S 23 of 131
+yx:=solve(ode108,y,x)
+--R
+--R         - y(x)log(x) - y(x) + 1
+--R   (23)  -----------------------
+--R                  x y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 23
+
+--S 24 of 131
+ode108expr := x*D(yx,x) - yx**2*log(x) + yx
+--R
+--R   (24)
+--R          2 ,          2      3           2               2
+--R       - x y (x) - y(x) log(x)  + (- 2y(x)  + 2y(x))log(x)
+--R
+--R     + 
+--R              2                            2
+--R       (- y(x)  + 2y(x) - 1)log(x) - x y(x)
+--R  /
+--R      2    2
+--R     x y(x)
+--R                                                     Type: Expression Integer
+--E 24
+
+--S 25 of 131
+ode109 := x*D(y(x),x) - y(x)*(2*y(x)*log(x)-1)
+--R
+--R           ,           2
+--R   (25)  xy (x) - 2y(x) log(x) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 25
+
+--S 26 of 131
+yx:=solve(ode109,y,x)
+--R
+--R         - 2y(x)log(x) - 2y(x) + 1
+--R   (26)  -------------------------
+--R                   x y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 26
+
+--S 27 of 131
+ode109expr := x*D(yx,x) - yx*(2*yx*log(x)-1)
+--R
+--R   (27)
+--R          2 ,           2      3            2               2
+--R       - x y (x) - 8y(x) log(x)  + (- 16y(x)  + 8y(x))log(x)
+--R
+--R     + 
+--R               2                             2
+--R       (- 8y(x)  + 8y(x) - 2)log(x) - 2x y(x)
+--R  /
+--R      2    2
+--R     x y(x)
+--R                                                     Type: Expression Integer
+--E 27
+
+--S 28 of 131
+ode110 := x*D(y(x),x) + f(x)*(y(x)**2-x**2)
+--R
+--R           ,              2    2
+--R   (28)  xy (x) + f(x)y(x)  - x f(x)
+--R
+--R                                                     Type: Expression Integer
+--E 28
+
+--S 29 of 131
+yx:=solve(ode110,y,x)
+--R
+--R   (29)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 29
+
+--S 30 of 131
+ode111 := x*D(y(x),x) + y(x)**3 + 3*x*y(x)**2
+--R
+--R           ,          3          2
+--R   (30)  xy (x) + y(x)  + 3x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 30
+
+--S 31 of 131
+yx:=solve(ode111,y,x)
+--R
+--R   (31)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 31
+
+--S 32 of 131
+ode112 := x*D(y(x),x) - sqrt(y(x)**2 + x**2) - y(x)
+--R
+--R                   +----------+
+--R           ,       |    2    2
+--R   (32)  xy (x) - \|y(x)  + x   - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 32
+
+--S 33 of 131
+yx:=solve(ode112,y,x)
+--R
+--R   (33)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 33
+
+--S 34 of 131
+ode113 := x*D(y(x),x) + a*sqrt(y(x)**2 + x**2) - y(x)
+--R
+--R                    +----------+
+--R           ,        |    2    2
+--R   (34)  xy (x) + a\|y(x)  + x   - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 34
+
+--S 35 of 131
+yx:=solve(ode113,y,x)
+--R
+--R   (35)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 35
+
+--S 36 of 131
+ode114 := x*D(y(x),x) - x*sqrt(y(x)**2 + x**2) - y(x)
+--R
+--R                    +----------+
+--R           ,        |    2    2
+--R   (36)  xy (x) - x\|y(x)  + x   - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 36
+
+--S 37 of 131
+yx:=solve(ode114,y,x)
+--R
+--R   (37)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 37
+
+--S 38 of 131
+ode115 := x*D(y(x),x) - x*(y(x)-x)*sqrt(y(x)**2 + x**2) - y(x)
+--R
+--R                                  +----------+
+--R           ,                   2  |    2    2
+--R   (38)  xy (x) + (- x y(x) + x )\|y(x)  + x   - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 38
+
+--S 39 of 131
+yx:=solve(ode115,y,x)
+--R
+--R   (39)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 39
+
+--S 40 of 131
+ode116 := x*D(y(x),x) - x*sqrt((y(x)**2 - x**2)*(y(x)**2-4*x**2)) - y(x)
+--R
+--R                    +----------------------+
+--R           ,        |    4     2    2     4
+--R   (40)  xy (x) - x\|y(x)  - 5x y(x)  + 4x   - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 40
+
+--S 41 of 131
+yx:=solve(ode116,y,x)
+--R
+--R   (41)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 41
+
+--S 42 of 131
+ode117 := x*D(y(x),x) - x*exp(y(x)/x) - y(x) - x
+--R
+--R                      y(x)
+--R                      ----
+--R           ,            x
+--R   (42)  xy (x) - x %e     - y(x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 42
+
+--S 43 of 131
+yx:=solve(ode117,y,x)
+--R
+--R   (43)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 43
+
+--S 44 of 131
+ode118 := x*D(y(x),x) - y(x)*log(y(x))
+--R
+--R           ,
+--R   (44)  xy (x) - y(x)log(y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 44
+
+--S 45 of 131
+yx:=solve(ode118,y,x)
+--R
+--R               x
+--R   (45)  - ---------
+--R           log(y(x))
+--R                                          Type: Union(Expression Integer,...)
+--E 45
+
+--S 46 of 131
+ode118expr := x*D(yx,x) - yx*log(yx)
+--R
+--R                                  x         2 ,
+--R         x y(x)log(y(x))log(- ---------) + x y (x) - x y(x)log(y(x))
+--R                              log(y(x))
+--R   (46)  -----------------------------------------------------------
+--R                                             2
+--R                                y(x)log(y(x))
+--R                                                     Type: Expression Integer
+--E 46
+
+--S 47 of 131
+ode119 := x*D(y(x),x) - y(x)*(log(x*y(x))-1)
+--R
+--R           ,
+--R   (47)  xy (x) - y(x)log(x y(x)) + y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 47
+
+--S 48 of 131
+yx:=solve(ode119,y,x)
+--R
+--R   (48)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 48
+
+--S 49 of 131
+ode120 := x*D(y(x),x) - y(x)*(x*log(x**2/y(x))+2)
+--R
+--R                              2
+--R           ,                 x
+--R   (49)  xy (x) - x y(x)log(----) - 2y(x)
+--R                            y(x)
+--R                                                     Type: Expression Integer
+--E 49
+
+--S 50 of 131
+yx:=solve(ode120,y,x)
+--R
+--R   (50)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 50
+
+--S 51 of 131
+ode121 := x*D(y(x),x) + sin(y(x)-x)
+--R
+--R           ,
+--R   (51)  xy (x) + sin(y(x) - x)
+--R
+--R                                                     Type: Expression Integer
+--E 51
+
+--S 52 of 131
+yx:=solve(ode121,y,x)
+--R
+--R   (52)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 52
+
+--S 53 of 131
+ode122 := x*D(y(x),x) + (sin(y(x))-3*x**2*cos(y(x)))*cos(y(x))
+--R
+--R           ,                             2         2
+--R   (53)  xy (x) + cos(y(x))sin(y(x)) - 3x cos(y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 53
+
+--S 54 of 131
+yx:=solve(ode122,y,x)
+--R
+--R   (54)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 54
+
+--S 55 of 131
+ode123 := x*D(y(x),x) - x*sin(y(x)/x) - y(x)
+--R
+--R           ,            y(x)
+--R   (55)  xy (x) - x sin(----) - y(x)
+--R                          x
+--R                                                     Type: Expression Integer
+--E 55
+
+--S 56 of 131
+yx:=solve(ode123,y,x)
+--R
+--R   (56)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 56
+
+--S 57 of 131
+ode124 := x*D(y(x),x) + x*cos(y(x)/x) - y(x) + x
+--R
+--R           ,            y(x)
+--R   (57)  xy (x) + x cos(----) - y(x) + x
+--R                          x
+--R                                                     Type: Expression Integer
+--E 57
+
+--S 58 of 131
+yx:=solve(ode124,y,x)
+--R
+--R   (58)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 58
+
+--S 59 of 131
+ode125 := x*D(y(x),x) + x*tan(y(x)/x) - y(x)
+--R
+--R           ,            y(x)
+--R   (59)  xy (x) + x tan(----) - y(x)
+--R                          x
+--R                                                     Type: Expression Integer
+--E 59
+
+--S 60 of 131
+yx:=solve(ode125,y,x)
+--R
+--R   (60)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 60
+
+--S 61 of 131
+ode126 := x*D(y(x),x) - y(x)*f(x*y(x))
+--R
+--R           ,
+--R   (61)  xy (x) - y(x)f(x y(x))
+--R
+--R                                                     Type: Expression Integer
+--E 61
+
+--S 62 of 131
+yx:=solve(ode126,y,x)
+--R
+--R   (62)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 62
+
+--S 63 of 131
+ode127 := x*D(y(x),x) - y(x)*f(x**a*y(x)**b)
+--R
+--R                  a    b      ,
+--R   (63)  - y(x)f(x y(x) ) + xy (x)
+--R
+--R                                                     Type: Expression Integer
+--E 63
+
+--S 64 of 131
+yx:=solve(ode127,y,x)
+--R
+--R   (64)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 64
+
+--S 65 of 131
+ode128 := x*D(y(x),x) + a*y(x) - f(x)*g(x**a*y(x))
+--R
+--R           ,                 a
+--R   (65)  xy (x) - f(x)g(y(x)x ) + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 65
+
+--S 66 of 131
+yx:=solve(ode128,y,x)
+--R
+--R   (66)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 66
+
+--S 67 of 131
+ode129 := (x+1)*D(y(x),x) + y(x)*(y(x)-x)
+--R
+--R                 ,          2
+--R   (67)  (x + 1)y (x) + y(x)  - x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 67
+
+--S 68 of 131
+yx:=solve(ode129,y,x)
+--R
+--R                              x
+--R                        - x ++              1
+--I         (- x - 1)y(x)%e    |   ------------------------ d%BH  + 1
+--I                           ++       2              - %BH
+--I                                (%BH  + 2%BH + 1)%e
+--R   (68)  ---------------------------------------------------------
+--R                                           - x
+--R                              (x + 1)y(x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 68
+
+--S 69 of 131
+ode130 := 2*x*D(y(x),x) - y(x) -2*x**3
+--R
+--R            ,               3
+--R   (69)  2xy (x) - y(x) - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 69
+
+--S 70 of 131
+ode130a:=solve(ode130,y,x)
+--R
+--R                        3
+--R                      2x           +-+
+--R   (70)  [particular= ---,basis= [\|x ]]
+--R                       5
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 70
+
+--S 71 of 131
+yx:=ode130a.particular
+--R
+--R           3
+--R         2x
+--R   (71)  ---
+--R          5
+--R                                                     Type: Expression Integer
+--E 71
+
+--S 72 of 131
+ode130expr := 2*x*D(yx,x) - yx -2*x**3
+--R
+--R   (72)  0
+--R                                                     Type: Expression Integer
+--E 72
+
+--S 73 of 131
+ode131 := (2*x+1)*D(y(x),x) - 4*exp(-y(x)) + 2
+--R
+--R                  ,         - y(x)
+--R   (73)  (2x + 1)y (x) - 4%e       + 2
+--R
+--R                                                     Type: Expression Integer
+--E 73
+
+--S 74 of 131
+yx:=solve(ode131,y,x)
+--R
+--R                 - y(x)            y(x)
+--R   (74)  (- 4x %e       + 2x + 1)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 74
+
+--S 75 of 131
+ode131expr := (2*x+1)*D(yx,x) - 4*exp(-yx) + 2
+--R
+--R   (75)
+--R                - y(x)            y(x)
+--R          (4x %e       - 2x - 1)%e          2            y(x) ,
+--R     - 4%e                             + (4x  + 4x + 1)%e    y (x)
+--R
+--R   + 
+--R                  - y(x)            y(x)
+--R     ((- 8x - 4)%e       + 4x + 2)%e     + 2
+--R                                                     Type: Expression Integer
+--E 75
+
+--S 76 of 131
+ode132 := 3*x*D(y(x),x) - 3*x*log(x)*y(x)**4 - y(x)
+--R
+--R            ,             4
+--R   (76)  3xy (x) - 3x y(x) log(x) - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 76
+
+--S 77 of 131
+yx:=solve(ode132,y,x)
+--R
+--R             2    3           2    3
+--R         - 6x y(x) log(x) + 3x y(x)  - 4x
+--R   (77)  --------------------------------
+--R                           3
+--R                      4y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 77
+
+--S 78 of 131
+ode132expr := 3*x*D(yx,x) - 3*x*log(x)*yx**4 - yx
+--R
+--R   (78)
+--R            2    8 ,           9    12      5
+--R       2304x y(x) y (x) - 3888x y(x)  log(x)
+--R
+--R     + 
+--R             9    12         8    9       4
+--R       (7776x y(x)   - 10368x y(x) )log(x)
+--R     + 
+--R               9    12         8    9         7    6       3
+--R       (- 5832x y(x)   + 15552x y(x)  - 10368x y(x) )log(x)
+--R     + 
+--R             9    12        8    9         7    6        6    3       2
+--R       (1944x y(x)   - 7776x y(x)  + 10368x y(x)  - 4608x y(x) )log(x)
+--R     + 
+--R                  9        2     12        8    9        7    6        6    3
+--R           (- 243x  - 1920x )y(x)   + 1296x y(x)  - 2592x y(x)  + 2304x y(x)
+--R         + 
+--R                 5
+--R           - 768x
+--R      *
+--R         log(x)
+--R     + 
+--R             2    12            9
+--R       - 192x y(x)   - 512x y(x)
+--R  /
+--R            12
+--R     256y(x)
+--R                                                     Type: Expression Integer
+--E 78
+
+--S 79 of 131
+ode133 := x**2*D(y(x),x) + y(x) - x
+--R
+--R          2 ,
+--R   (79)  x y (x) + y(x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 79
+
+--S 80 of 131
+yx:=solve(ode133,y,x)
+--R
+--R                        1                               1
+--R                        -   x                           -
+--R                        x ++      1                     x
+--I   (80)  [particular= %e  |   --------- d%BH ,basis= [%e ]]
+--R                         ++          1
+--R                                    ---
+--I                                    %BH
+--I                              %BH %e
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 80
+
+--S 81 of 131
+ode134 := x**2*D(y(x),x) - y(x) + x**2*exp(x-1/x)
+--R
+--R                        2
+--R                       x  - 1
+--R                       ------
+--R          2 ,       2     x
+--R   (81)  x y (x) + x %e       - y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 81
+
+--S 82 of 131
+ode134a:=solve(ode134,y,x)
+--R
+--R                           2
+--R                          x  - 1             1
+--R                          ------           - -
+--R                             x               x
+--R   (82)  [particular= - %e      ,basis= [%e   ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 82
+
+--S 83 of 131
+yx:=ode134a.particular
+--R
+--R              2
+--R             x  - 1
+--R             ------
+--R                x
+--R   (83)  - %e
+--R                                                     Type: Expression Integer
+--E 83
+
+--S 84 of 131
+ode134expr := x**2*D(yx,x) - yx + x**2*exp(x-1/x)
+--R
+--R   (84)  0
+--R                                                     Type: Expression Integer
+--E 84
+
+--S 85 of 131
+ode135 := x**2*D(y(x),x) - (x-1)*y(x)
+--R
+--R          2 ,
+--R   (85)  x y (x) + (- x + 1)y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 85
+
+--S 86 of 131
+ode135a:=solve(ode135,y,x)
+--R
+--R                                    1
+--R                                    -
+--R                                    x
+--R   (86)  [particular= 0,basis= [x %e ]]
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 86
+
+--S 87 of 131
+yx:=ode135a.particular
+--R
+--R   (87)  0
+--R                                                     Type: Expression Integer
+--E 87
+
+--S 88 of 131
+ode135expr := x**2*D(yx,x) - (x-1)*yx
+--R
+--R   (88)  0
+--R                                                     Type: Expression Integer
+--E 88
+
+--S 89 of 131
+ode136 := x**2*D(y(x),x) + y(x)**2 + x*y(x) + x**2
+--R
+--R          2 ,          2             2
+--R   (89)  x y (x) + y(x)  + x y(x) + x
+--R
+--R                                                     Type: Expression Integer
+--E 89
+
+--S 90 of 131
+yx:=solve(ode136,y,x)
+--R
+--R         (- y(x) - x)log(x) + x
+--R   (90)  ----------------------
+--R                y(x) + x
+--R                                          Type: Union(Expression Integer,...)
+--E 90
+
+--S 91 of 131
+ode136expr := x**2*D(yx,x) + yx**2 + x*yx + x**2
+--R
+--R   (91)
+--R          3 ,           2              2       2
+--R       - x y (x) + (y(x)  + 2x y(x) + x )log(x)
+--R
+--R     + 
+--R                2        2              3     2            2         2     3
+--R       (- x y(x)  + (- 2x  - 2x)y(x) - x  - 2x )log(x) + (x  - x)y(x)  + 2x y(x)
+--R     + 
+--R        4    2
+--R       x  + x
+--R  /
+--R         2              2
+--R     y(x)  + 2x y(x) + x
+--R                                                     Type: Expression Integer
+--E 91
+
+--S 92 of 131
+ode137 := x**2*D(y(x),x) - y(x)**2 - x*y(x)
+--R
+--R          2 ,          2
+--R   (92)  x y (x) - y(x)  - x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 92
+
+--S 93 of 131
+yx:=solve(ode137,y,x)
+--R
+--R         y(x)log(x) + x
+--R   (93)  --------------
+--R              y(x)
+--R                                          Type: Union(Expression Integer,...)
+--E 93
+
+--S 94 of 131
+ode137expr := x**2*D(yx,x) - yx**2 - x*yx
+--R
+--R            3 ,          2      2            2                          2    2
+--R         - x y (x) - y(x) log(x)  + (- x y(x)  - 2x y(x))log(x) + x y(x)  - x
+--R
+--R   (94)  ---------------------------------------------------------------------
+--R                                             2
+--R                                         y(x)
+--R                                                     Type: Expression Integer
+--E 94
+
+--S 95 of 131
+ode138 := x**2*D(y(x),x) - y(x)**2 - x*y(x) - x**2
+--R
+--R          2 ,          2             2
+--R   (95)  x y (x) - y(x)  - x y(x) - x
+--R
+--R                                                     Type: Expression Integer
+--E 95
+
+--S 96 of 131
+yx:=solve(ode138,y,x)
+--R
+--R                         +---+               +---+
+--R                    (- 7\|- 1  + 9)y(x) + 9x\|- 1  + 7x
+--R   (96)  --------------------------------------------------------
+--R                                                      +---+
+--R              +---+                 +---+         - 2\|- 1 log(x)
+--R         ((18\|- 1  + 14)y(x) - 14x\|- 1  + 18x)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 96
+
+--S 97 of 131
+ode138expr := x**2*D(yx,x) - yx**2 - x*yx - x**2
+--R
+--R   (97)
+--R                  3 +---+        3             4 +---+        4
+--R         ((- 1188x \|- 1  + 2716x )y(x) - 2716x \|- 1  - 1188x )
+--R      *
+--R               +---+
+--R           - 2\|- 1 log(x) ,
+--R         %e               y (x)
+--R
+--R     + 
+--R                   2 +---+        2     3           3 +---+        3     2
+--R           (- 1188x \|- 1  + 2716x )y(x)  + (- 8148x \|- 1  - 3564x )y(x)
+--R         + 
+--R                 4 +---+        4             5 +---+        5
+--R           (3564x \|- 1  - 8148x )y(x) + 2716x \|- 1  + 1188x
+--R      *
+--R                +---+       2
+--R            - 2\|- 1 log(x)
+--R         (%e               )
+--R     + 
+--R                   +---+             3         2 +---+        2     2
+--R           (- 170x\|- 1  - 3310x)y(x)  + (4498x \|- 1  - 2886x )y(x)
+--R         + 
+--R                 3 +---+        3             4 +---+       4
+--R           (2546x \|- 1  - 2122x )y(x) + 3310x \|- 1  - 170x
+--R      *
+--R               +---+
+--R           - 2\|- 1 log(x)
+--R         %e
+--R     + 
+--R            +---+           3           +---+            2
+--R       (297\|- 1  - 679)y(x)  + (- 679x\|- 1  - 297x)y(x)
+--R     + 
+--R            2 +---+       2            3 +---+       3
+--R       (297x \|- 1  - 679x )y(x) - 679x \|- 1  - 297x
+--R  /
+--R               +---+            3          +---+             2
+--R         (1188\|- 1  - 2716)y(x)  + (8148x\|- 1  + 3564x)y(x)
+--R       + 
+--R                 2 +---+        2             3 +---+        3
+--R         (- 3564x \|- 1  + 8148x )y(x) - 2716x \|- 1  - 1188x
+--R    *
+--R              +---+       2
+--R          - 2\|- 1 log(x)
+--R       (%e               )
+--R                                                     Type: Expression Integer
+--E 97
+
+--S 98 of 131
+ode139 := x**2*(D(y(x),x)+y(x)**2) + a*x**k - b*(b-1)
+--R
+--R          2 ,         k    2    2    2
+--R   (98)  x y (x) + a x  + x y(x)  - b  + b
+--R
+--R                                                     Type: Expression Integer
+--E 98
+
+--S 99 of 131
+yx:=solve(ode139,y,x)
+--R
+--R   (99)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 99
+
+--S 100 of 131
+ode140 := x**2*(D(y(x),x)+y(x)**2) + 4*x*y(x) + 2
+--R
+--R           2 ,       2    2
+--R   (100)  x y (x) + x y(x)  + 4x y(x) + 2
+--R
+--R                                                     Type: Expression Integer
+--E 100
+
+--S 101 of 131
+yx:=solve(ode140,y,x)
+--R
+--R               x y(x) + 2
+--R   (101)  --------------------
+--R            2
+--R          (x  - x)y(x) + x - 2
+--R                                          Type: Union(Expression Integer,...)
+--E 101
+
+--S 102 of 131
+ode140expr := x**2*(D(yx,x)+yx**2) + 4*x*yx + 2
+--R
+--R   (102)
+--R      4 ,         4     3     2     2       3      2                2
+--R   - x y (x) + (6x  - 8x  + 2x )y(x)  + (16x  - 28x  + 8x)y(x) + 12x  - 24x + 8
+--R
+--R   ----------------------------------------------------------------------------
+--R               4     3    2     2      3     2              2
+--R             (x  - 2x  + x )y(x)  + (2x  - 6x  + 4x)y(x) + x  - 4x + 4
+--R                                                     Type: Expression Integer
+--E 102
+
+--S 103 of 131
+ode141 := x**2*(D(y(x),x)+y(x)**2) + a*x*y(x) + b
+--R
+--R           2 ,       2    2
+--R   (103)  x y (x) + x y(x)  + a x y(x) + b
+--R
+--R                                                     Type: Expression Integer
+--E 103
+
+--S 104 of 131
+yx:=solve(ode141,y,x)
+--R                                                     2
+--R   WARNING (genufact): No known algorithm to factor ?  + (a - 1)? + b
+--R     , trying square-free.
+--R
+--R   (104)
+--R      +------------------+
+--R      |        2
+--R     \|- 4b + a  - 2a + 1  - 2x y(x) - a + 1
+--R  /
+--R                          +------------------+
+--R                          |        2                   2
+--R       ((2x y(x) + a - 1)\|- 4b + a  - 2a + 1  - 4b + a  - 2a + 1)
+--R    *
+--R                  +------------------+
+--R                  |        2
+--R         - log(x)\|- 4b + a  - 2a + 1
+--R       %e
+--R                                          Type: Union(Expression Integer,...)
+--E 104
+
+--S 105 of 131
+ode141expr := x**2*(D(yx,x)+yx**2) + a*x*yx + b
+--R
+--R   (105)
+--R                        2           4                       3     2           3
+--R             ((- 8b + 2a  - 4a + 2)x y(x) + ((- 4a + 4)b + a  - 3a  + 3a - 1)x )
+--R          *
+--R              +------------------+
+--R              |        2
+--R             \|- 4b + a  - 2a + 1
+--R         + 
+--R               2        2                4     3     2           3
+--R           (16b  + (- 8a  + 16a - 8)b + a  - 4a  + 6a  - 4a + 1)x
+--R      *
+--R                    +------------------+
+--R                    |        2
+--R           - log(x)\|- 4b + a  - 2a + 1  ,
+--R         %e                             y (x)
+--R
+--R     + 
+--R                  2        2             3    3
+--R               (8b  + (- 2a  + 4a - 2)b)x y(x)
+--R             + 
+--R                           2        3     2             2    2
+--R               ((12a - 12)b  + (- 3a  + 9a  - 9a + 3)b)x y(x)
+--R             + 
+--R                          3       2             2
+--R                     - 24b  + (18a  - 36a + 18)b
+--R                   + 
+--R                          4      3      2
+--R                     (- 3a  + 12a  - 18a  + 12a - 3)b
+--R              *
+--R                 x y(x)
+--R             + 
+--R                            3      3      2            2
+--R               (- 12a + 12)b  + (7a  - 21a  + 21a - 7)b
+--R             + 
+--R                   5     4      3      2
+--R               (- a  + 5a  - 10a  + 10a  - 5a + 1)b
+--R          *
+--R              +------------------+
+--R              |        2
+--R             \|- 4b + a  - 2a + 1
+--R         + 
+--R                   3       2             2        4      3      2              2
+--R             (- 48b  + (24a  - 48a + 24)b  + (- 3a  + 12a  - 18a  + 12a - 3)b)x
+--R          *
+--R                 2
+--R             y(x)
+--R         + 
+--R                            3       3      2             2
+--R               (- 48a + 48)b  + (24a  - 72a  + 72a - 24)b
+--R             + 
+--R                    5      4      3      2
+--R               (- 3a  + 15a  - 30a  + 30a  - 15a + 3)b
+--R          *
+--R             x y(x)
+--R         + 
+--R              4         2             3      4      3      2            2
+--R           16b  + (- 24a  + 48a - 24)b  + (9a  - 36a  + 54a  - 36a + 9)b
+--R         + 
+--R               6     5      4      3      2
+--R           (- a  + 6a  - 15a  + 20a  - 15a  + 6a - 1)b
+--R      *
+--R                     +------------------+ 2
+--R                     |        2
+--R            - log(x)\|- 4b + a  - 2a + 1
+--R         (%e                             )
+--R     + 
+--R                         2           4    3
+--R               (- 8b + 2a  - 4a + 2)x y(x)
+--R             + 
+--R                                 3     2           3    2
+--R               ((- 16a + 4)b + 4a  - 9a  + 6a - 1)x y(x)
+--R             + 
+--R                    2        2                4     3     2       2
+--R               (- 8b  + (- 6a  + 4a + 2)b + 2a  - 6a  + 6a  - 2a)x y(x)
+--R             + 
+--R                           2      3     2
+--R               ((- 8a + 4)b  + (2a  - 5a  + 4a - 1)b)x
+--R          *
+--R              +------------------+
+--R              |        2
+--R             \|- 4b + a  - 2a + 1
+--R         + 
+--R                       3     2       4    3
+--R           (- 8a b + 2a  - 4a  + 2a)x y(x)
+--R         + 
+--R               2         2                 4      3      2           3    2
+--R           (16b  + (- 20a  + 28a - 8)b + 4a  - 13a  + 15a  - 7a + 1)x y(x)
+--R         + 
+--R                2         3      2             5     4      3     2       2
+--R           (8a b  + (- 10a  + 20a  - 10a)b + 2a  - 8a  + 12a  - 8a  + 2a)x y(x)
+--R         + 
+--R               3         2            2      4     3     2
+--R           (16b  + (- 12a  + 20a - 8)b  + (2a  - 7a  + 9a  - 5a + 1)b)x
+--R      *
+--R                    +------------------+
+--R                    |        2
+--R           - log(x)\|- 4b + a  - 2a + 1
+--R         %e
+--R     + 
+--R               5    3              4    2            2           3
+--R           - 2x y(x)  + (- 3a + 3)x y(x)  + (- 2b - a  + 2a - 1)x y(x)
+--R         + 
+--R                       2
+--R           (- a + 1)b x
+--R      *
+--R          +------------------+
+--R          |        2
+--R         \|- 4b + a  - 2a + 1
+--R     + 
+--R                2           4    2                   3     2           3
+--R       (- 4b + a  - 2a + 1)x y(x)  + ((- 4a + 4)b + a  - 3a  + 3a - 1)x y(x)
+--R     + 
+--R            2     2             2
+--R       (- 4b  + (a  - 2a + 1)b)x
+--R  /
+--R                     2           3    3
+--R             (8b - 2a  + 4a - 2)x y(x)
+--R           + 
+--R                              3     2           2    2
+--R             ((12a - 12)b - 3a  + 9a  - 9a + 3)x y(x)
+--R           + 
+--R                   2       2                  4      3      2
+--R             (- 24b  + (18a  - 36a + 18)b - 3a  + 12a  - 18a  + 12a - 3)x y(x)
+--R           + 
+--R                          2      3      2                5     4      3      2
+--R             (- 12a + 12)b  + (7a  - 21a  + 21a - 7)b - a  + 5a  - 10a  + 10a
+--R           + 
+--R             - 5a + 1
+--R        *
+--R            +------------------+
+--R            |        2
+--R           \|- 4b + a  - 2a + 1
+--R       + 
+--R               2       2                  4      3      2            2    2
+--R         (- 48b  + (24a  - 48a + 24)b - 3a  + 12a  - 18a  + 12a - 3)x y(x)
+--R       + 
+--R                          2       3      2                  5      4      3
+--R             (- 48a + 48)b  + (24a  - 72a  + 72a - 24)b - 3a  + 15a  - 30a
+--R           + 
+--R                2
+--R             30a  - 15a + 3
+--R        *
+--R           x y(x)
+--R       + 
+--R            3         2             2      4      3      2                6
+--R         16b  + (- 24a  + 48a - 24)b  + (9a  - 36a  + 54a  - 36a + 9)b - a
+--R       + 
+--R           5      4      3      2
+--R         6a  - 15a  + 20a  - 15a  + 6a - 1
+--R    *
+--R                   +------------------+ 2
+--R                   |        2
+--R          - log(x)\|- 4b + a  - 2a + 1
+--R       (%e                             )
+--R                                                     Type: Expression Integer
+--E 105
+
+--S 106 of 131
+ode142 := x**2*(D(y(x),x)-y(x)**2) - a*x**2*y(x) + a*x + 2
+--R
+--R           2 ,       2    2      2
+--R   (106)  x y (x) - x y(x)  - a x y(x) + a x + 2
+--R
+--R                                                     Type: Expression Integer
+--E 106
+
+--S 107 of 131
+yx:=solve(ode142,y,x)
+--R
+--R            2 3       2              3 3    2 2
+--R          (a x  - 2a x  + 2x)y(x) + a x  - a x  + 2a x - 2
+--R   (107)  ------------------------------------------------
+--R                         3          3   - a x
+--R                       (a x y(x) - a )%e
+--R                                          Type: Union(Expression Integer,...)
+--E 107
+
+--S 108 of 131
+ode142expr := x**2*(D(yx,x)-yx**2) - a*x**2*yx + a*x + 2
+--R
+--R   (108)
+--R          6 6  - a x ,
+--R       - a x %e     y (x)
+--R
+--R     + 
+--R          7 3     6 2     2        7 2     6          7      6    - a x 2
+--R       ((a x  + 2a x )y(x)  + (- 2a x  - 4a x)y(x) + a x + 2a )(%e     )
+--R     + 
+--R              5 5     4 4     2      6 5     5 4     4 3          6 4     5 3
+--R           (2a x  - 2a x )y(x)  + (2a x  - 4a x  + 4a x )y(x) - 3a x  + 2a x
+--R         + 
+--R               4 2
+--R           - 2a x
+--R      *
+--R           - a x
+--R         %e
+--R     + 
+--R           4 8     3 7     2 6       5     4     2
+--R       (- a x  + 4a x  - 8a x  + 8a x  - 4x )y(x)
+--R     + 
+--R            5 8     4 7      3 6      2 5        4     3         6 8     5 7
+--R       (- 2a x  + 6a x  - 12a x  + 16a x  - 16a x  + 8x )y(x) - a x  + 2a x
+--R     + 
+--R           4 6     3 5     2 4       3     2
+--R       - 5a x  + 8a x  - 8a x  + 8a x  - 4x
+--R  /
+--R       6 2    2     6          6    - a x 2
+--R     (a x y(x)  - 2a x y(x) + a )(%e     )
+--R                                                     Type: Expression Integer
+--E 108
+
+--S 109 of 131
+ode143 := x**2*(D(y(x),x)+a*y(x)**2) - b
+--R
+--R           2 ,         2    2
+--R   (109)  x y (x) + a x y(x)  - b
+--R
+--R                                                     Type: Expression Integer
+--E 109
+
+--S 110 of 131
+yx:=solve(ode143,y,x)
+--R                                                     2
+--R   WARNING (genufact): No known algorithm to factor ?  - ? - a b
+--R     , trying square-free.
+--R
+--R                            +--------+     2
+--R                          a\|4a b + 1  - 2a x y(x) + a
+--R   (110)  ------------------------------------------------------------
+--R                                                            +--------+
+--R                           +--------+              - log(x)\|4a b + 1
+--R          ((2a x y(x) - 1)\|4a b + 1  + 4a b + 1)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 110
+
+--S 111 of 131
+ode143expr := x**2*(D(yx,x)+a*yx**2) - b
+--R
+--R   (111)
+--R                                  +--------+
+--R            3      2  3  - log(x)\|4a b + 1  ,
+--R       (- 8a b - 2a )x %e                   y (x)
+--R
+--R     + 
+--R                 2 2                     2      +--------+
+--R           ((- 8a b  - 2a b)x y(x) + 4a b  + b)\|4a b + 1
+--R         + 
+--R                3 2     2   2    2      2 2                   2 3       2
+--R           (- 8a b  - 2a b)x y(x)  + (8a b  + 2a b)x y(x) - 8a b  - 6a b  - b
+--R      *
+--R                     +--------+ 2
+--R            - log(x)\|4a b + 1
+--R         (%e                   )
+--R     + 
+--R                                                           +--------+
+--R             4      3  3    2      3 2     2      - log(x)\|4a b + 1
+--R       ((- 8a b - 2a )x y(x)  + (8a b  + 2a b)x)%e
+--R     + 
+--R            4 3        3 2  +--------+     5 4    2     4 3          4     3  2
+--R       (- 2a x y(x) + a x )\|4a b + 1  + 2a x y(x)  - 2a x y(x) + (2a b + a )x
+--R  /
+--R             2                          +--------+      3      2  2    2
+--R         ((8a b + 2a)x y(x) - 4a b - 1)\|4a b + 1  + (8a b + 2a )x y(x)
+--R       + 
+--R              2                  2 2
+--R         (- 8a b - 2a)x y(x) + 8a b  + 6a b + 1
+--R    *
+--R                   +--------+ 2
+--R          - log(x)\|4a b + 1
+--R       (%e                   )
+--R                                                     Type: Expression Integer
+--E 111
+
+--S 112 of 131
+ode144 := x**2*(D(y(x),x)+a*y(x)**2) + b*x**alpha + c
+--R
+--R           2 ,         alpha      2    2
+--R   (112)  x y (x) + b x      + a x y(x)  + c
+--R
+--R                                                     Type: Expression Integer
+--E 112
+
+--S 113 of 131
+yx:=solve(ode144,y,x)
+--R
+--R   (113)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 113
+
+--S 114 of 131
+ode145 := x**2*D(y(x),x) + a*y(x)**3 - a*x**2*y(x)**2
+--R
+--R           2 ,            3      2    2
+--R   (114)  x y (x) + a y(x)  - a x y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 114
+
+--S 115 of 131
+yx:=solve(ode145,y,x)
+--R
+--R   (115)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 115
+
+--S 116 of 131
+ode146 := x**2*D(y(x),x) + x*y(x)**3 + a*y(x)**2
+--R
+--R           2 ,            3         2
+--R   (116)  x y (x) + x y(x)  + a y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 116
+
+--S 117 of 131
+yx:=solve(ode146,y,x)
+--R
+--R   (117)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 117
+
+--S 118 of 131
+ode147 := x**2*D(y(x),x) + a*x**2*y(x)**3 + b*y(x)**2
+--R
+--R           2 ,         2    3         2
+--R   (118)  x y (x) + a x y(x)  + b y(x)
+--R
+--R                                                     Type: Expression Integer
+--E 118
+
+--S 119 of 131
+yx:=solve(ode147,y,x)
+--R
+--R   (119)  "failed"
+--R                                                    Type: Union("failed",...)
+--E 119
+
+--S 120 of 131
+ode148 := (x**2+1)*D(y(x),x) + x*y(x) - 1
+--R
+--R            2      ,
+--R   (120)  (x  + 1)y (x) + x y(x) - 1
+--R
+--R                                                     Type: Expression Integer
+--E 120
+
+--S 121 of 131
+ode148a:=solve(ode148,y,x)
+--R
+--R                              +------+
+--R                              | 2
+--R                         log(\|x  + 1  - x)             1
+--R   (121)  [particular= - ------------------,basis= [---------]]
+--R                               +------+              +------+
+--R                               | 2                   | 2
+--R                              \|x  + 1              \|x  + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 121
+
+--S 122 of 131
+yx:=ode148a.particular
+--R
+--R                 +------+
+--R                 | 2
+--R            log(\|x  + 1  - x)
+--R   (122)  - ------------------
+--R                  +------+
+--R                  | 2
+--R                 \|x  + 1
+--R                                                     Type: Expression Integer
+--E 122
+
+--S 123 of 131
+ode148expr := (x**2+1)*D(yx,x) + x*yx - 1
+--R
+--R   (123)  0
+--R                                                     Type: Expression Integer
+--E 123
+
+--S 124 of 131
+ode149 := (x**2+1)*D(y(x),x) + x*y(x) - x*(x**2+1)
+--R
+--R            2      ,                3
+--R   (124)  (x  + 1)y (x) + x y(x) - x  - x
+--R
+--R                                                     Type: Expression Integer
+--E 124
+
+--S 125 of 131
+ode149a:=solve(ode149,y,x)
+--R
+--R                        2
+--R                       x  + 1             1
+--R   (125)  [particular= ------,basis= [---------]]
+--R                          3            +------+
+--R                                       | 2
+--R                                      \|x  + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 125
+
+--S 126 of 131
+yx:=ode149a.particular
+--R
+--R           2
+--R          x  + 1
+--R   (126)  ------
+--R             3
+--R                                                     Type: Expression Integer
+--E 126
+
+--S 127 of 131
+ode149expr := (x**2+1)*D(yx,x) + x*yx - x*(x**2+1)
+--R
+--R   (127)  0
+--R                                                     Type: Expression Integer
+--E 127
+
+--S 128 of 131
+ode150 := (x**2+1)*D(y(x),x) + 2*x*y(x) - 2*x**2
+--R
+--R            2      ,                  2
+--R   (128)  (x  + 1)y (x) + 2x y(x) - 2x
+--R
+--R                                                     Type: Expression Integer
+--E 128
+
+--S 129 of 131
+ode150a:=solve(ode150,y,x)
+--R
+--R                         3
+--R                       2x  + 3            1
+--R   (129)  [particular= -------,basis= [------]]
+--R                         2              2
+--R                       3x  + 3         x  + 1
+--RType: Union(Record(particular: Expression Integer,basis: List Expression Integer),...)
+--E 129
+
+--S 130 of 131
+yx:=ode150a.particular
+--R
+--R            3
+--R          2x  + 3
+--R   (130)  -------
+--R            2
+--R          3x  + 3
+--R                                                     Type: Expression Integer
+--E 130
+
+--S 131 of 131
+ode150expr := (x**2+1)*D(yx,x) + 2*x*yx - 2*x**2
+--R
+--R   (131)  0
+--R                                                     Type: Expression Integer
+--E 131
+)spool
+)lisp (bye)
+ 
+@
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} {\bf http://www.cs.uwaterloo.ca/$\tilde{}$ecterrab/odetools.html}
+\end{thebibliography}
+\end{document}
